
#ifndef _PLATFORM_H_
#define _PLATFORM_H_

enum { _clkfreq = 297000000 }; 



enum { heapsize = 50000 };  //override the default heapsize to give more


//Pick one or none of these to say where files might come from
#define USE_SD
//#define USE_HOST

//USB pin definitions for AntaresB
#define USB_BASE_PIN 16 //(basepin+3)  //use AntaresB onboard LED for USB activity
#define USB_ENABLE_PIN (USB_BASE_PIN+1)  //not using a P2 pin to enable AntaresB USB
#define USB_DM_PIN (USB_BASE_PIN+2)  //base+2 for upper port on Parallax USB adapter
#define USB_ERR_LED_PIN 57       //Using P2 Eval board's P57 led for error display

////USB pin definitions Parallax USB adapter board for P2 Eval Board
//#define SERIAL_HOST_BASEPIN 16
//#define USB_BASE_PIN (SERIAL_HOST_BASEPIN+0) 
//#define USB_ENABLE_PIN (SERIAL_HOST_BASEPIN+1)  
//#define USB_DM_PIN (SERIAL_HOST_BASEPIN+6)  //USB is on +6 and +7 for lower port, +2 and +3 for upper port
//#define USB_ERR_LED_PIN 57       //Using P2 Eval board's P57 led for error display




//typedef boolean bool_t;
#define TRUE     (1)
#define FALSE    (0)

// override baud rate for serial, requires use of "_setbaud(_BAUD);" in code
#ifndef _BAUD
#define _BAUD 2000000
#endif

//Add in some needed includes here
#include "propeller2.h"
#include "stdio.h"
#include "stdlib.h"
#include "stdint.h"
#include "stdbool.h"



//some types not yet defined in FlexSpin, or needed to translate Arduino code
typedef char  byte;
typedef unsigned char uchar;
typedef char		bool_t;
typedef char		char8_t;
typedef unsigned char	uchar8_t;
typedef unsigned char prog_uchar8_t;
typedef signed char	schar8_t;
typedef float		float_t;

//RJA:  Seem to need this...
#define min(x,y)  ((x) > (y) ? (y) : (x))
#define max(x,y)  ((x) > (y) ? (x) : (y))

#endif /*_PLATFORM_H_*/
/* Nothing beyond this*/




